package syntax.headers;

import parsing.*;
import syntax.expressions.*;

public class If extends Header 
{
	public Expression condition;
	
	public static If read(Stream stream)
	{
		Token tif = Token.read("if", stream);
		Expression expr = Expression.read(stream.after(tif), 0);
		
		If _if = new If();
		_if.start = tif.start;
		_if.end = expr.end;
		_if.condition = expr;
		
		return _if;
	}
}
